import java.util.Scanner;

class Assignment6B
{
	public static void main (String[] args)
	{
		int number;
		int secondNumber;
         int choice;
         Scanner input = new Scanner (System.in);
         System.out.println("This program will determine if a number is divisible by a second number ");
         do
			{
        	 System.out.println("Please type in a number ");
	         number=input.nextInt();
	         System.out.println("Please type in a second number ");
	         secondNumber=input.nextInt();
				if (number%secondNumber==0)
		          	System.out.printf("The number %d is divisible by %d\n",number,secondNumber);
				else if (number%secondNumber!=0)
		          		System.out.printf("The number %d is not divisible by %d\n",number,secondNumber);
				
		
		       	 System.out.println("Would you like to continue ? (0-no/1-yes) ");
		         choice = input.nextInt();
			}while (choice != 0);
		          
	  
	}
} 